package com.gic.haoban.manage.api.dto.contact;

import java.io.Serializable;
import java.util.List;

public class ContactConfigDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 配置主键ID
     */
    private Long configId;

    /**
     * 自动建联类型 10话务任务 20企微群发 30发送商品 40发送素材
     */
    private List<Integer> contactAutoList;

    /**
     * 是否自动备注（0 否 1 是）
     */
    private Integer remarkFlag;

    /**
     * 备注内容
     */
    private List<String> remarkContentList;

    /**
     * 企业ID
     */
    private String enterpriseId;


    public Long getConfigId() {
        return configId;
    }

    public void setConfigId(Long configId) {
        this.configId = configId;
    }


    public Integer getRemarkFlag() {
        return remarkFlag;
    }

    public void setRemarkFlag(Integer remarkFlag) {
        this.remarkFlag = remarkFlag;
    }


    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<Integer> getContactAutoList() {
        return contactAutoList;
    }

    public void setContactAutoList(List<Integer> contactAutoList) {
        this.contactAutoList = contactAutoList;
    }

    public List<String> getRemarkContentList() {
        return remarkContentList;
    }

    public void setRemarkContentList(List<String> remarkContentList) {
        this.remarkContentList = remarkContentList;
    }
}